## NAS Get Technology Preference request

NAS Get Technology Preference request

## Functions

QmiMessageNasGetTechnologyPreferenceOutput * | qmi_message_nas_get_technology_preference_output_ref ()
void | qmi_message_nas_get_technology_preference_output_unref ()
gboolean | qmi_message_nas_get_technology_preference_output_get_persistent ()
gboolean | qmi_message_nas_get_technology_preference_output_get_result ()
gboolean | qmi_message_nas_get_technology_preference_output_get_active ()
void | qmi_client_nas_get_technology_preference ()
QmiMessageNasGetTechnologyPreferenceOutput * | qmi_client_nas_get_technology_preference_finish ()

## Types and Values

| QmiMessageNasGetTechnologyPreferenceOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetTechnologyPreferenceOutput

## Description

## Functions

### qmi_message_nas_get_technology_preference_output_ref ()

    QmiMessageNasGetTechnologyPreferenceOutput *
    qmi_message_nas_get_technology_preference_output_ref
                                   (QmiMessageNasGetTechnologyPreferenceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetTechnologyPreferenceOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_technology_preference_output_unref ()

    void
    qmi_message_nas_get_technology_preference_output_unref
                                   (QmiMessageNasGetTechnologyPreferenceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetTechnologyPreferenceOutput. |

Since: 1.0

### qmi_message_nas_get_technology_preference_output_get_persistent ()

    gboolean
    qmi_message_nas_get_technology_preference_output_get_persistent
                                   (QmiMessageNasGetTechnologyPreferenceOutput *self,
                                    QmiNasRadioTechnologyPreference *value_persistent,
                                    GError **error);

Get the 'Persistent' field from `self` .

#### Parameters

self | a QmiMessageNasGetTechnologyPreferenceOutput. |
value_persistent | a placeholder for the output QmiNasRadioTechnologyPreference, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_technology_preference_output_get_result ()

    gboolean
    qmi_message_nas_get_technology_preference_output_get_result
                                   (QmiMessageNasGetTechnologyPreferenceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetTechnologyPreferenceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_nas_get_technology_preference_output_get_active ()

    gboolean
    qmi_message_nas_get_technology_preference_output_get_active
                                   (QmiMessageNasGetTechnologyPreferenceOutput *self,
                                    QmiNasRadioTechnologyPreference *value_active_technology_preference,
                                    QmiNasPreferenceDuration *value_active_technology_preference_duration,
                                    GError **error);

Get the 'Active' field from `self` .

#### Parameters

self | a QmiMessageNasGetTechnologyPreferenceOutput. |
value_active_technology_preference | a placeholder for the output QmiNasRadioTechnologyPreference, or `NULL` if not required. |
value_active_technology_preference_duration | a placeholder for the output QmiNasPreferenceDuration, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_nas_get_technology_preference ()

    void
    qmi_client_nas_get_technology_preference
                                   (QmiClientNas *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Technology Preference request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_technology_preference_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_technology_preference_finish ()

    QmiMessageNasGetTechnologyPreferenceOutput *
    qmi_client_nas_get_technology_preference_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_technology_preference()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_technology_preference()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetTechnologyPreferenceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_technology_preference_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetTechnologyPreferenceOutput

    typedef struct _QmiMessageNasGetTechnologyPreferenceOutput QmiMessageNasGetTechnologyPreferenceOutput;

The QmiMessageNasGetTechnologyPreferenceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0